---
# tasks file for simApp
- block:
  - name: Create simApp Directory
    file:
      path: /etc/home/{{ user }}/simApp
      state: directory
      mode: 0777
  - name: Create simApp Directory for {{ appName }}
    file:
      path: /etc/home/{{ user }}/simApp/{{ appName }}
      state: directory
      mode: 0777
  - name: Upload {{ app }} Application
    copy:
      src: "{{ app }}"
      dest: /etc/home/{{ user }}/simApp/{{ appName }}
      owner: "{{ user }}"
      group: "{{ user }}"
  - name: Create data Directory in {{ appName }}
    file:
      path: /etc/home/{{ user }}/simApp/{{ appName }}/data
      state: directory
      mode: 0777
  - name: Upload {{ dataFile }} into data directory
    copy:
      src: "{{ dataFile }}"
      dest: /etc/home/{{ user }}/simApp/{{ appName }}/data
      owner: "{{ user }}"
      group: "{{ user }}"
  when: task == "DEPLOY"
  become_user: root
 
- block:
  - name: Execute Simulation
    shell: java -jar {{ app }} {{ argument }} >> outputFine.txt
    args: 
     chdir: /etc/home/{{ user }}/simApp/{{ appName }}
  when: task == "START"
  become_user: "{{ user }}"
